> ## Name

> cgGetFirstProgramAnnotation - get the first annotation of a program

> ## Synopsis

>     #include <Cg/cg.h>

>     CGannotation cgGetFirstProgramAnnotation( CGprogram program );

> ## Parameters

> program
>   The program from which to retrieve the annotation.

> ## Return Values

> Returns the first annotation from the given program.

> Returns NULL if the program has no annotations.

> ## Description

> The annotations associated with a program can be retrieved using cgGetFirstProgramAnnotation. The remainder of the program's annotations can be discovered by iterating through the parameters, calling cgGetNextAnnotation to get to the next one.

> ## Examples

>     CGannotation ann = cgGetFirstProgramAnnotation( program );
>     while( ann )
>     {
>        /* do something with ann */
>        ann = cgGetNextAnnotation( ann );
>     }

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgGetFirstProgramAnnotation was introduced in Cg 1.4.

> ## See Also

> cgGetNamedProgramAnnotation, cgGetNextAnnotation